For the complete documentation index, see llms.txt. This page is also available as Markdown.

Krutrim Kubernetes System SDK

Create Cluster

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringOptionalExample: deepak-cluster-nov-17
versionstringOptionalExample: 1.33
Responses
201

Created

No content

post/v1/kks/clusters
POST /v1/kks/clusters HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "name": "deepak-cluster-nov-17",
  "version": "1.33",
  "resourcesVpcConfig": {
    "vpcKrn": "text",
    "subnetKrns": "text"
  },
  "kubernetesNetworkConfig": {
    "podIpv4Cidr": "192.168.0.0/16",
    "serviceIpv4Cidr": "10.100.0.0/16"
  }
}
201

Created

No content

Create Nodegroup

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Body
namestringOptionalExample: kks-ng
instanceTypesstringOptionalExample: c8.16
diskSizeintegerOptionalExample: 100
subnetsKrnstringOptional
Responses
201

Created

No content

post/v1/kks/clusters/{clusterKrn}/node-groups
POST /v1/kks/clusters/{clusterKrn}/node-groups HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 242

{
  "name": "kks-ng",
  "instanceTypes": "c8.16",
  "diskSize": 100,
  "scalingConfig": {
    "minSize": 1,
    "maxSize": 1,
    "desiredSize": 1
  },
  "subnetsKrn": "text",
  "remoteAccess": {
    "sshKeyKrn": "text",
    "sourceSecurityGroupsKrns": [
      "text"
    ]
  },
  "nodeRepairConfig": {
    "enabled": true
  }
}
201

Created

No content

List flavors

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

No content

get/v1/kks/flavors
GET /v1/kks/flavors HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

Install Addon

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Body
addonNamestringOptional
Responses
201

Installed

No content

post/v1/kks/clusters/{clusterKrn}/addons
POST /v1/kks/clusters/{clusterKrn}/addons HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "addonName": "text"
}
201

Installed

No content

List All addons

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

No content

get/v1/kks/addons
GET /v1/kks/addons HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

Retrieve kubeconfig

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Responses
200

kubeconfig file content

No content

get/v1/kks/clusters/{clusterKrn}/kubeconfig
GET /v1/kks/clusters/{clusterKrn}/kubeconfig HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

kubeconfig file content

No content

Get ALL clusters

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

No content

get/v1/kks/clusters
GET /v1/kks/clusters HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

Cluster by Cluster KRN

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Responses
200

Success

No content

get/v1/kks/clusters/{clusterKrn}
GET /v1/kks/clusters/{clusterKrn} HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

List All NodeGroups

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Responses
200

Success

No content

get/v1/kks/clusters/{clusterKrn}/node-groups
GET /v1/kks/clusters/{clusterKrn}/node-groups HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

GET Nodegroup Details

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
nodegroupKrnstringRequired
Responses
200

Success

No content

get/v1/kks/clusters/{clusterKrn}/node-groups/{nodegroupKrn}
GET /v1/kks/clusters/{clusterKrn}/node-groups/{nodegroupKrn} HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

List Cluster Addons

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Responses
200

Success

No content

get/v1/kks/clusters/{clusterKrn}/addons
GET /v1/kks/clusters/{clusterKrn}/addons HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

No content

Delete cluster

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Responses
204

Deleted

No content

delete/v1/kks/clusters/{clusterKrn}
DELETE /v1/kks/clusters/{clusterKrn} HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Deleted

No content

Delete Nodegroup

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
nodegroupKrnstringRequired
Responses
204

Deleted

No content

delete/v1/kks/clusters/{clusterKrn}/node-groups/{nodegroupKrn}
DELETE /v1/kks/clusters/{clusterKrn}/node-groups/{nodegroupKrn} HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Deleted

No content

Delete Addon

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
addonKrnstringRequired
Responses
204

Deleted

No content

delete/v1/kks/clusters/{clusterKrn}/addons/{addonKrn}
DELETE /v1/kks/clusters/{clusterKrn}/addons/{addonKrn} HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Deleted

No content

Upgrade cluster

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
Body
versionstringOptional
Responses
200

Upgrade initiated

No content

post/v1/kks/clusters/{clusterKrn}/updates
POST /v1/kks/clusters/{clusterKrn}/updates HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "version": "text"
}
200

Upgrade initiated

No content

Upgrade nodegroup

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
clusterKrnstringRequired
nodegroupKrnstringRequired
Body
Responses
200

Updated

No content

put/v1/kks/clusters/{clusterKrn}/node-groups/{nodegroupKrn}
PUT /v1/kks/clusters/{clusterKrn}/node-groups/{nodegroupKrn} HTTP/1.1
Host: 10.230.150.171
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "scalingConfig": {
    "minSize": 1,
    "maxSize": 1,
    "desiredSize": 1
  }
}
200

Updated

No content

Last updated

Was this helpful?